#pragma once
#include <PSX/File/cd_file_types.hpp>

enum struct FileType : JabyEngine::CDFileType_t {
    Jingle,
};

struct CustomCDFileBuilder {
    static constexpr JabyEngine::CDFile jingle(uint32_t sfx_id) {
        //                                v we reload Paco
        return JabyEngine::CDFile::custom(0, FileType::Jingle, sfx_id);
    }
};